# CSStorageInterface

    @objc
    public protocol CSStorageInterface

The `CSStorageInterface` serves as the Objective-C bridging type for `StorageInterface`.

See also

`StorageInterface`

- `storeType`

  The string identifier for the `NSPersistentStore`‘s `type` property. This is the same string CoreStore will use to create the `NSPersistentStore` from the `NSPersistentStoreCoordinator`’s `addPersistentStoreWithType(...)` method.

  #### Declaration

  Swift

      @objc
      static var storeType: String { get }

- `configuration`

  The configuration name in the model file

  #### Declaration

  Swift

      @objc
      var configuration: ModelConfiguration { get }

- `storeOptions`

  The options dictionary for the `NSPersistentStore`

  #### Declaration

  Swift

      @objc
      var storeOptions: [AnyHashable : Any]? { get }